# Update template version

Endpoint: PUT /communicator/templates/{templateVersionId}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `templateVersionId` (string, required)
    The Template Version ID.

## Request fields (application/json):

  - `activate` (boolean)
    Only applies when creating a template version. If `true`, the newly created
version is immediately set as the active version of its template descriptor,
equivalent to calling the activate endpoint in a separate request.
Setting this to `true` requires the `communicator.template:activate` permission
in addition to `communicator.template:create`. This field is ignored on update.

  - `contentHtmlTemplate` (string)
    A valid Jinja template to use for the content HTML body. This is used, for instance,
for the body of an HTML email.
This is simply ignored when the channel does not need HTML content.
The context variables available to this template are the same as the context available to
`contentTextTemplate`
    Example: Hello,<br/><p>{{foobar}}</p>

  - `contentTextTemplate` (string)
    A valid Jinja template to use for the content text body. This is used, for instance,
for the body of a plain text email or text message.
    Example: Hello {{foobar}}

  - `descriptorId` (string)
    ID of the Template Descriptor
    Example: TD-AAAA-BBBB

  - `subjectLineTemplate` (string)
    A valid Jinja template to use for the subject line. This is used, for instance,
for the subject line when sending emails.
This is simply ignored when the channel does not need a subject.
The context variables available to this template are the same as the context available to
`contentTextTemplate`
    Example: Hello {{foobar}}

## Response 200 fields (application/json):

  - `id` (string)
    Example: TV-AAAA-BBBB

  - `activate` (boolean)
    Only applies when creating a template version. If `true`, the newly created
version is immediately set as the active version of its template descriptor,
equivalent to calling the activate endpoint in a separate request.
Setting this to `true` requires the `communicator.template:activate` permission
in addition to `communicator.template:create`. This field is ignored on update.

  - `contentHtmlTemplate` (string)
    A valid Jinja template to use for the content HTML body. This is used, for instance,
for the body of an HTML email.
This is simply ignored when the channel does not need HTML content.
The context variables available to this template are the same as the context available to
`contentTextTemplate`
    Example: Hello,<br/><p>{{foobar}}</p>

  - `contentTextTemplate` (string)
    A valid Jinja template to use for the content text body. This is used, for instance,
for the body of a plain text email or text message.
    Example: Hello {{foobar}}

  - `descriptorId` (string)
    ID of the Template Descriptor
    Example: TD-AAAA-BBBB

  - `subjectLineTemplate` (string)
    A valid Jinja template to use for the subject line. This is used, for instance,
for the subject line when sending emails.
This is simply ignored when the channel does not need a subject.
The context variables available to this template are the same as the context available to
`contentTextTemplate`
    Example: Hello {{foobar}}

